# Contributing

We love pull requests from everyone. By participating in this project, you
agree to abide by the thoughtbot [code of conduct].

[code of conduct]: https://thoughtbot.com/open-source-code-of-conduct

If it's your first time, consider watching this short video series: https://egghead.io/courses/how-to-contribute-to-an-open-source-project-on-github

## 1. Fork, then clone the repo:
```bash
git clone git@github.com:<your-username>/xray-react-component-library.git
```


## 2. Make sure the tests pass:
So that you know it was not broken when you started. Do not begin work on a branch whose tests are not passing unless you have carefully considered your plan.


## 3. Make your change. Add tests for your change. Make the tests pass:
`npm run commit` will automatically run existing unit tests. `npm test` will manually do the same. `npm test -- --watch` will run tests continuously during development.


## 4. Push to your fork and [submit a pull request][pr].

[pr]: https://github.com/xrayfm/xray-react-component-library/compare/

At this point you're waiting on us. We like to at least comment on pull requests
within three business days (and, typically, one business day). We may suggest
some changes or improvements or alternatives.

Some things that will increase the chance that your pull request is accepted:

* Write tests.
* Follow our [style guide][style].
* Write a [good commit message][commit].

[style]: https://github.com/xrayfm/guides/tree/master/style
[commit]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
